using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WindowsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            listBox1.Items.Add("sbyte: od " + sbyte.MinValue + " do " + sbyte.MaxValue + ", rozmiar: " + sizeof(sbyte));
            listBox1.Items.Add("byte: od " + byte.MinValue + " do " + byte.MaxValue + ", rozmiar: " + sizeof(byte));
            listBox1.Items.Add("short: od " + short.MinValue + " do " + short.MaxValue + ", rozmiar: " + sizeof(short));
            listBox1.Items.Add("int: od " + int.MinValue + " do " + int.MaxValue + ", rozmiar: " + sizeof(int));
            listBox1.Items.Add("long: od " + long.MinValue + " do " + long.MaxValue + ", rozmiar: " + sizeof(long));
            listBox1.Items.Add("ushort: od " + ushort.MinValue + " do " + ushort.MaxValue + ", rozmiar: " + sizeof(ushort));
            listBox1.Items.Add("uint: od " + uint.MinValue + " do " + uint.MaxValue + ", rozmiar: " + sizeof(uint));
            listBox1.Items.Add("ulong: od " + ulong.MinValue + " do " + ulong.MaxValue + ", rozmiar: " + sizeof(ulong));
            listBox1.Items.Add("char,  rozmiar: " + sizeof(char));
            listBox1.Items.Add("float: od " + float.MinValue + " do " + float.MaxValue + ", rozmiar: " + sizeof(float));
            listBox1.Items.Add("double: od " + double.MinValue + " do " + double.MaxValue + ", rozmiar: " + sizeof(double));
            listBox1.Items.Add("decimal: od " + decimal.MinValue + " do " + decimal.MaxValue + ", rozmiar: " + sizeof(decimal));            
        }
    }
}